<?php

use Twig\Environment;
use Twig\Error\LoaderError;
use Twig\Error\RuntimeError;
use Twig\Extension\SandboxExtension;
use Twig\Markup;
use Twig\Sandbox\SecurityError;
use Twig\Sandbox\SecurityNotAllowedTagError;
use Twig\Sandbox\SecurityNotAllowedFilterError;
use Twig\Sandbox\SecurityNotAllowedFunctionError;
use Twig\Source;
use Twig\Template;

/* themes/eduxpro/eduxpro/templates/layout/html.html.twig */
class __TwigTemplate_11201ab1c5cdf498a1547ac99dde533dd81025c2e51d34dd740f272222969176 extends \Twig\Template
{
    private $source;
    private $macros = [];

    public function __construct(Environment $env)
    {
        parent::__construct($env);

        $this->source = $this->getSourceContext();

        $this->parent = false;

        $this->blocks = [
        ];
        $this->sandbox = $this->env->getExtension('\Twig\Extension\SandboxExtension');
        $this->checkSecurity();
    }

    protected function doDisplay(array $context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 28
        $context["body_classes"] = [0 => (( !        // line 29
($context["root_path"] ?? null)) ? ("homepage") : ("site-page")), 1 => ((        // line 30
($context["node_type"] ?? null)) ? (("page-type-" . \Drupal\Component\Utility\Html::getClass($this->sandbox->ensureToStringAllowed(($context["node_type"] ?? null), 30, $this->source)))) : ("")), 2 => ((( !twig_get_attribute($this->env, $this->source,         // line 31
($context["page"] ?? null), "sidebar_first", [], "any", false, false, true, 31) &&  !twig_get_attribute($this->env, $this->source, ($context["page"] ?? null), "sidebar_second", [], "any", false, false, true, 31))) ? ("no-sidebar") : ("")), 3 => (((twig_get_attribute($this->env, $this->source,         // line 32
($context["page"] ?? null), "sidebar_first", [], "any", false, false, true, 32) &&  !twig_get_attribute($this->env, $this->source, ($context["page"] ?? null), "sidebar_second", [], "any", false, false, true, 32))) ? ("one-sidebar sidebar-left") : ("")), 4 => (((twig_get_attribute($this->env, $this->source,         // line 33
($context["page"] ?? null), "sidebar_second", [], "any", false, false, true, 33) &&  !twig_get_attribute($this->env, $this->source, ($context["page"] ?? null), "sidebar_first", [], "any", false, false, true, 33))) ? ("one-sidebar sidebar-right") : ("")), 5 => (((twig_get_attribute($this->env, $this->source,         // line 34
($context["page"] ?? null), "sidebar_first", [], "any", false, false, true, 34) && twig_get_attribute($this->env, $this->source, ($context["page"] ?? null), "sidebar_second", [], "any", false, false, true, 34))) ? ("two-sidebar") : (""))];
        // line 37
        echo "<!DOCTYPE html>
<html";
        // line 38
        echo $this->extensions['Drupal\Core\Template\TwigExtension']->escapeFilter($this->env, $this->sandbox->ensureToStringAllowed(($context["html_attributes"] ?? null), 38, $this->source), "html", null, true);
        echo ">
  <head>
    <head-placeholder token=\"";
        // line 40
        echo $this->extensions['Drupal\Core\Template\TwigExtension']->escapeFilter($this->env, $this->sandbox->ensureToStringAllowed(($context["placeholder_token"] ?? null), 40, $this->source), "html", null, true);
        echo "\">
    <title>";
        // line 41
        echo $this->extensions['Drupal\Core\Template\TwigExtension']->renderVar($this->extensions['Drupal\Core\Template\TwigExtension']->safeJoin($this->env, $this->sandbox->ensureToStringAllowed(($context["head_title"] ?? null), 41, $this->source), " | "));
        echo "</title>
    ";
        // line 42
        if ((($context["font_src"] ?? null) == "local")) {
            // line 43
            echo "    <link rel=\"preload\" as=\"font\" href=\"";
            echo $this->extensions['Drupal\Core\Template\TwigExtension']->escapeFilter($this->env, ($this->sandbox->ensureToStringAllowed(($context["base_path"] ?? null), 43, $this->source) . $this->sandbox->ensureToStringAllowed(($context["directory"] ?? null), 43, $this->source)), "html", null, true);
            echo "/fonts/noto-sans.woff2\" type=\"font/woff2\" crossorigin>
    <link rel=\"preload\" as=\"font\" href=\"";
            // line 44
            echo $this->extensions['Drupal\Core\Template\TwigExtension']->escapeFilter($this->env, ($this->sandbox->ensureToStringAllowed(($context["base_path"] ?? null), 44, $this->source) . $this->sandbox->ensureToStringAllowed(($context["directory"] ?? null), 44, $this->source)), "html", null, true);
            echo "/fonts/noto-sans-bold.woff2\" type=\"font/woff2\" crossorigin>
    ";
        } elseif ((        // line 45
($context["font_src"] ?? null) == "googlecdn")) {
            // line 46
            echo "    <link href=\"//fonts.googleapis.com/css2?family=Noto+Sans:wght@400;700&display=swap\" rel=\"stylesheet\">
    ";
        }
        // line 48
        echo "    <css-placeholder token=\"";
        echo $this->extensions['Drupal\Core\Template\TwigExtension']->escapeFilter($this->env, $this->sandbox->ensureToStringAllowed(($context["placeholder_token"] ?? null), 48, $this->source), "html", null, true);
        echo "\">
    <js-placeholder token=\"";
        // line 49
        echo $this->extensions['Drupal\Core\Template\TwigExtension']->escapeFilter($this->env, $this->sandbox->ensureToStringAllowed(($context["placeholder_token"] ?? null), 49, $this->source), "html", null, true);
        echo "\">
";
        // line 50
        if (($context["insert_head"] ?? null)) {
            // line 51
            echo "  ";
            $this->loadTemplate("@eduxpro/template-parts/custom-codes/head-codes.html.twig", "themes/eduxpro/eduxpro/templates/layout/html.html.twig", 51)->display($context);
        }
        // line 53
        if (($context["styling"] ?? null)) {
            // line 54
            echo "<style>
";
            // line 55
            echo $this->extensions['Drupal\Core\Template\TwigExtension']->renderVar($this->sandbox->ensureToStringAllowed(($context["styling_code"] ?? null), 55, $this->source));
            echo "
</style>
";
        }
        // line 58
        echo "  </head>
  <body";
        // line 59
        echo $this->extensions['Drupal\Core\Template\TwigExtension']->escapeFilter($this->env, $this->sandbox->ensureToStringAllowed(twig_get_attribute($this->env, $this->source, ($context["attributes"] ?? null), "addClass", [0 => ($context["body_classes"] ?? null)], "method", false, false, true, 59), 59, $this->source), "html", null, true);
        echo ">
";
        // line 60
        if (($context["insert_body_start"] ?? null)) {
            // line 61
            echo "  ";
            $this->loadTemplate("@eduxpro/template-parts/custom-codes/body-start-codes.html.twig", "themes/eduxpro/eduxpro/templates/layout/html.html.twig", 61)->display($context);
        }
        // line 63
        echo "    ";
        // line 67
        echo "    <a href=\"#main-content\" class=\"visually-hidden focusable\">
      ";
        // line 68
        echo $this->extensions['Drupal\Core\Template\TwigExtension']->renderVar(t("Skip to main content"));
        echo "
    </a>
    ";
        // line 70
        echo $this->extensions['Drupal\Core\Template\TwigExtension']->escapeFilter($this->env, $this->sandbox->ensureToStringAllowed(($context["page_top"] ?? null), 70, $this->source), "html", null, true);
        echo "
    ";
        // line 71
        echo $this->extensions['Drupal\Core\Template\TwigExtension']->escapeFilter($this->env, $this->sandbox->ensureToStringAllowed(($context["page"] ?? null), 71, $this->source), "html", null, true);
        echo "
    ";
        // line 72
        echo $this->extensions['Drupal\Core\Template\TwigExtension']->escapeFilter($this->env, $this->sandbox->ensureToStringAllowed(($context["page_bottom"] ?? null), 72, $this->source), "html", null, true);
        echo "
";
        // line 73
        if (($context["insert_body_end"] ?? null)) {
            // line 74
            echo "  ";
            $this->loadTemplate("@eduxpro/template-parts/custom-codes/body-end-codes.html.twig", "themes/eduxpro/eduxpro/templates/layout/html.html.twig", 74)->display($context);
        }
        // line 76
        echo "    ";
        if ((($context["font_src"] ?? null) == "local")) {
            // line 77
            echo "      ";
            echo $this->extensions['Drupal\Core\Template\TwigExtension']->escapeFilter($this->env, $this->extensions['Drupal\Core\Template\TwigExtension']->attachLibrary("eduxpro/googlefontslocal"), "html", null, true);
            echo "
    ";
        }
        // line 79
        echo "    <js-bottom-placeholder token=\"";
        echo $this->extensions['Drupal\Core\Template\TwigExtension']->escapeFilter($this->env, $this->sandbox->ensureToStringAllowed(($context["placeholder_token"] ?? null), 79, $this->source), "html", null, true);
        echo "\">
    ";
        // line 80
        if (($context["is_front"] ?? null)) {
            // line 81
            echo "      ";
            $this->loadTemplate((("@eduxpro/template-parts/slider/" . ($context["slider_type"] ?? null)) . ".txt"), "themes/eduxpro/eduxpro/templates/layout/html.html.twig", 81)->display($context);
            // line 82
            echo "    ";
        }
        // line 83
        echo "  </body>
</html>
";
    }

    public function getTemplateName()
    {
        return "themes/eduxpro/eduxpro/templates/layout/html.html.twig";
    }

    public function isTraitable()
    {
        return false;
    }

    public function getDebugInfo()
    {
        return array (  169 => 83,  166 => 82,  163 => 81,  161 => 80,  156 => 79,  150 => 77,  147 => 76,  143 => 74,  141 => 73,  137 => 72,  133 => 71,  129 => 70,  124 => 68,  121 => 67,  119 => 63,  115 => 61,  113 => 60,  109 => 59,  106 => 58,  100 => 55,  97 => 54,  95 => 53,  91 => 51,  89 => 50,  85 => 49,  80 => 48,  76 => 46,  74 => 45,  70 => 44,  65 => 43,  63 => 42,  59 => 41,  55 => 40,  50 => 38,  47 => 37,  45 => 34,  44 => 33,  43 => 32,  42 => 31,  41 => 30,  40 => 29,  39 => 28,);
    }

    public function getSourceContext()
    {
        return new Source("", "themes/eduxpro/eduxpro/templates/layout/html.html.twig", "/home/nouedu2/public_html/lcms/digital/themes/eduxpro/eduxpro/templates/layout/html.html.twig");
    }
    
    public function checkSecurity()
    {
        static $tags = array("set" => 28, "if" => 42, "include" => 51);
        static $filters = array("clean_class" => 30, "escape" => 38, "safe_join" => 41, "raw" => 55, "t" => 68);
        static $functions = array("attach_library" => 77);

        try {
            $this->sandbox->checkSecurity(
                ['set', 'if', 'include'],
                ['clean_class', 'escape', 'safe_join', 'raw', 't'],
                ['attach_library']
            );
        } catch (SecurityError $e) {
            $e->setSourceContext($this->source);

            if ($e instanceof SecurityNotAllowedTagError && isset($tags[$e->getTagName()])) {
                $e->setTemplateLine($tags[$e->getTagName()]);
            } elseif ($e instanceof SecurityNotAllowedFilterError && isset($filters[$e->getFilterName()])) {
                $e->setTemplateLine($filters[$e->getFilterName()]);
            } elseif ($e instanceof SecurityNotAllowedFunctionError && isset($functions[$e->getFunctionName()])) {
                $e->setTemplateLine($functions[$e->getFunctionName()]);
            }

            throw $e;
        }

    }
}
