<?php
/**
 * Settings under update tab.
 */
$form['update']['update_tab'] = [
  '#type'  => 'vertical_tabs',
];
// Update -> The X Pro
$form['update']['update_thexpro'] = [
  '#type'        => 'details',
  '#title'       => t('The X Pro'),
  '#group' => 'update_tab',
];
$form['update']['update_thexpro']['thexpro_latest_version'] = [
  '#type'        => 'fieldset',
  '#title'       => t('The X Pro - Latest Released Version'),
  '#description' => t("<pre>$thexpro_latest_version</pre><p><hr /></p><p><a href='https://www.drupar.com/doc/thexpro/update-theme' target='_blank'>How To Update The-X-Pro Theme</a></p>"),
];
// Update -> Edu X Pro
$form['update']['update_eduxpro'] = [
  '#type'        => 'details',
  '#title'       => t('Edu X Pro'),
  '#group' => 'update_tab',
];
$form['update']['update_eduxpro']['eduxpro_version'] = [
  '#type'        => 'fieldset',
  '#title'       => t('Edu X Pro - Current Theme Version'),
  '#description' => t('8.0.4'),
];
$form['update']['update_eduxpro']['eduxpro_latest_version'] = [
  '#type'        => 'fieldset',
  '#title'       => t('Edu X Pro - Latest Released Version'),
  '#description' => t("<pre>$eduxpro_latest_version</pre><p><hr /></p><p><a href='https://www.drupar.com/doc/eduxpro/update-theme' target='_blank'>How To Update Edu-X-Pro Theme</a></p>"),
];
